return {
  'catppuccin/nvim',
  lazy = false,
  priority = 1000,
  config = function()
    -- Setup Catppuccin with desired options
    require('catppuccin').setup({
      flavour = 'mocha',  -- Options: 'latte', 'frappe', 'macchiato', 'mocha'
      transparent_background = true,  -- Enable transparency
      term_colors = true,  -- Use terminal colors
    })

    -- Load the colorscheme
    vim.cmd('colorscheme catppuccin')

    -- Toggle background transparency
    local bg_transparency = true 

    local toggle_transparency = function()
      bg_transparency = not bg_transparency
      -- Manually set transparency
      if bg_transparency then
        require('catppuccin').setup({ transparent_background = true })
      else
        require('catppuccin').setup({ transparent_background = false })
      end
      vim.cmd('colorscheme catppuccin')
    end

    vim.keymap.set('n', '<leader>bg', toggle_transparency, { noremap = true, silent = true })
  end
}
 
